Executive Summary

Informations
Name CVE-2021-22918 First vendor Publication 2021-07-12
Vendor Cve Last vendor Modification 2021-09-20

Security-Database Scoring CVSS v3

Cvss vector : CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N
Overall CVSS Score 5.3
Base Score 5.3 Environmental Score 5.3
impact SubScore 1.4 Temporal Score 5.3
Exploitabality Sub Score 3.9
 
Attack Vector Network Attack Complexity Low
Privileges Required None User Interaction None
Scope Unchanged Confidentiality Impact Low
Integrity Impact None Availability Impact None
Calculate full CVSS 3.0 Vectors scores

Security-Database Scoring CVSS v2

Cvss vector : (AV:N/AC:L/Au:N/C:P/I:N/A:N)
Cvss Base Score 5 Attack Range Network
Cvss Impact Score 2.9 Attack Complexity Low
Cvss Expoit Score 10 Authentication None Required
Calculate full CVSS 2.0 Vectors scores

Detail

Node.js before 16.4.1, 14.17.2, 12.22.2 is vulnerable to an out-of-bounds read when uv__idna_toascii() is used to convert strings to ASCII. The pointer p is read and increased without checking whether it is beyond pe, with the latter holding a pointer to the end of the buffer. This can lead to information disclosures or crashes. This function can be triggered via uv_getaddrinfo().

Original Source

Url : http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-22918

CWE : Common Weakness Enumeration

% Id Name
100 % CWE-125 Out-of-bounds Read

CPE : Common Platform Enumeration

TypeDescriptionCount
Application 210

Sources (Detail)

Source Url
CONFIRM https://security.netapp.com/advisory/ntap-20210805-0003/
MISC https://hackerone.com/reports/1209681
https://nodejs.org/en/blog/vulnerability/july-2021-security-releases/

Alert History

If you want to see full details history, please login or register.
0
1
2
3
4
5
Date Informations
2021-09-20 17:23:08
  • Multiple Updates
2021-08-19 12:43:13
  • Multiple Updates
2021-08-05 17:22:58
  • Multiple Updates
2021-07-20 21:23:11
  • Multiple Updates
2021-07-15 17:22:50
  • Multiple Updates
2021-07-12 17:22:49
  • First insertion